Subject: Re: ip_finish_output2: No header cache and no neighbour! in 2.6.15-git7

From: Patrick McHardy <[email-masked]>
Date: Sun, 22 Jan 2006 15:07:01 +0100

David S. Miller wrote:
> From: Andi Kleen <[email-masked]>
> Date: Fri, 20 Jan 2006 08:15:39 +0100
> 
>>Sorry for the delay in testing. Looks good so far. I'm running with SNAT
>>and the patch and the messages haven't appeared. Will keep it running
>>for longer, but previously they would have started already, so it's probably
>>ok now.
> 
> 
> Thanks for testing Andi.
> 
> Patrick, please send me the final version of the fix you want me to
> put in when you get a chance.

I need to rethink this, my patch breaks SNAT to non-local IPs because
the NAT code will throw the packet away if ip_route_me_harder fails.